package com.adlerosn.brasilfurfest.helper

import com.adlerosn.brasilfurfest.schedule.managers.CacheManager
import com.adlerosn.brasilfurfest.schedule.managers.ScheduleManager
import com.adlerosn.brasilfurfest.schedule.managers.ScheduleManagerGetter

fun String.fromCache() =
        fromCache(ScheduleManagerGetter.get())

fun String.fromCache(cacheManager: CacheManager) =
        nullIfBlank()?.let { cacheManager[lastPathPart()]?.first }

fun String.fromCache(scheduleManager: ScheduleManager) = fromCache(scheduleManager.cacheManager)
