package com.adlerosn.brasilfurfest.helper.observables

interface Observer<K: Observable<T>, T> {
    fun update(observable: K, args: T?)
    companion object {
        operator fun <T> invoke(callback: (Observable<T>, T?)->Unit) = object : Observer<Observable<T>, T> {
            override fun update(observable: Observable<T>, args: T?) = callback(observable, args)
        }
    }
}