package com.adlerosn.brasilfurfest.helper

import android.content.res.Resources
import java.lang.ref.WeakReference

private val lResources: MutableList<WeakReference<Resources>> = mutableListOf()

var resources
    get() = lResources
            .apply { removeAll { it.get() == null } }
            .last().get()!!
    set(value) { lResources.add(WeakReference(value)) }

var resourcesAliased
        get() = resources
        set(value) { resources = value }