package com.adlerosn.brasilfurfest.helper

import com.google.android.material.tabs.TabLayout
import androidx.viewpager.widget.ViewPager

fun TabLayout.fullSetup(viewPager: ViewPager){
    this.setupWithViewPager(viewPager)
    viewPager.addOnPageChangeListener(TabLayout.TabLayoutOnPageChangeListener(this))
    this.addOnTabSelectedListener(TabLayout.ViewPagerOnTabSelectedListener(viewPager))
}