package com.adlerosn.brasilfurfest.legal

import androidx.recyclerview.widget.RecyclerView
import android.view.ViewGroup
import com.adlerosn.brasilfurfest.R
import com.adlerosn.brasilfurfest.helper.inflate
import com.adlerosn.brasilfurfest.helper.layoutInflater
import kotlinx.android.synthetic.main.activity_software_licenses_item.view.*

class SoftwareLicensesAdapter(private val licenses: List<SoftwareLicense>) : RecyclerView.Adapter<RecyclerView.ViewHolder>() {
    override fun getItemCount(): Int =
            licenses.size

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder =
            object : RecyclerView.ViewHolder(parent.context.layoutInflater.inflate(R.layout.activity_software_licenses_item)){}

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
        val view = holder.itemView
        view.software.text = licenses[position].software
        view.license.text = licenses[position].license
    }

}
